/* bots.h - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef _bots_h
#define _bots_h

#include "main.h"
#include "timeq.h"

struct UserNode;
struct ChanNode;
struct ClientSocket;

#ifndef DND_FUNCTIONS
void init_bots();

/* MODULAR ACCESSIBLE */ struct ClientSocket *getChannelBot(struct ChanNode *chan, int botid);
/* MODULAR ACCESSIBLE */ void requestOp(struct UserNode *user, struct ChanNode *chan);
/* MODULAR ACCESSIBLE */ void requestInvite(struct UserNode *user, struct ChanNode *chan);
/* MODULAR ACCESSIBLE */ TIMEQ_CALLBACK(channel_ban_timeout);
/* MODULAR ACCESSIBLE */ void general_event_privctcp(struct UserNode *user, struct UserNode *target, char *command, char *text);
/* MODULAR ACCESSIBLE */ void set_bot_alias(int botid, char *alias);
/* MODULAR ACCESSIBLE */ const char *resolve_botid(int botid);
/* MODULAR ACCESSIBLE */ int resolve_botalias(const char *alias);
#endif
#endif